Android Question (ERROR solved) animated counter , when I put in the manifest targetSdkVersion="28"

Discussion in 'Android Questions' started by EdisonMales, Apr 24, 2019.

  1. EdisonMales

    EdisonMales Member Licensed User

    use the example that this post https://www.b4x.com/android/forum/t...ss-platform-views-and-dialogs.100836/#content and I have an error when I upload the targetSdkVersion to 28
    I use b4a 9.00

    I'm going up to api 28 because google play store since August of this year will be mandatory requirement.

    ERROR
    Manifest

    Code:
    'This code will be applied to the manifest file during compilation.
    'You do not need to modify it in most cases.
    'See this link for for more information: https://www.b4x.com/forum/showthread.php?p=78136
    AddManifestText(
    <uses-sdk android:minSdkVersion=
    "5" android:targetSdkVersion="28"/>
    <supports-screens android:largeScreens=
    "true"
        android:normalScreens=
    "true"
        android:smallScreens=
    "true"
        android:anyDensity=
    "true"/>)
    SetApplicationAttribute(android:icon, 
    "@drawable/icon")
    SetApplicationAttribute(android:
    label"$LABEL$")
    CreateResourceFromFile(Macro, Themes.LightTheme)
    'End of default text.
     
  2. jimmyF

    jimmyF Active Member Licensed User

    I can't offer you up any solution to your actual problem but I don't think it stems from the animated counter.

    I just set the targetSdkVersion="28" in the manifest editor and loaded the XUI Views Example app on my device.

    Runs like a charm!

    Don't know if this could be an issue but my XUI Views version is 2.00. Have you checked yours?

    -j
     
  3. EdisonMales

    EdisonMales Member Licensed User

    thanks for the reply

    where can I get version 2.00? I can not find it
     
    jimmyF likes this.
  4. mangojack

    mangojack Well-Known Member Licensed User

    jimmyF likes this.
  5. EdisonMales

    EdisonMales Member Licensed User

  6. jimmyF

    jimmyF Active Member Licensed User

    In Configure Paths, have you set your android.jar to:

    [your drive:] \B4AAndroidSDK\platforms\android-28\android.jar
     
  7. DonManfred

    DonManfred Expert Licensed User

    You should use targetsdk 26 for now in the manifest.
     
    jimmyF likes this.
  8. EdisonMales

    EdisonMales Member Licensed User

    Yes, I use api 28 jar and b4a 9.00

    upload_2019-4-25_9-37-5.png
     
  9. Jorge M A

    Jorge M A Active Member Licensed User

    Is there any risk if we target to sdk 27, for example? for testing purposes.
     
  10. jimmyF

    jimmyF Active Member Licensed User

    This is a good point though I did experiment with setting it to "28" and the XUI Views Example app ran without any problems.
    The problem must be elsewhere, I think.
     
  11. EdisonMales

    EdisonMales Member Licensed User

    I have other applications with animated counter with targetsdk 26 in the manifest. I'm starting another application and I'm thinking of saving time by switching to targetsdk 28 because from August to upload an application to google play store will be mandatory requirement.
     
  12. jimmyF

    jimmyF Active Member Licensed User

    I think it may be premature to do so now though @DonManfred would be much better qualified than I to comment on that.
     
  13. DonManfred

    DonManfred Expert Licensed User

    i´m not sure if b4a is ready for targetsdk 28 as of now.
    I´m sure Erel will release infos on how to switch to 28 in time.
     
    EdisonMales and jimmyF like this.
  14. DonManfred

    DonManfred Expert Licensed User

  15. EdisonMales

    EdisonMales Member Licensed User

    download the example of the first post https://www.b4x.com/android/forum/threads/b4x-xui-views-cross-platform-views-and-dialogs.100836/ and change the targetsdk from 26 to 28 and the error came out, as I mentioned above only on the device with android 9 (Api 28) I have problems. No problem in android 8.1 and earlier
     
  16. EdisonMales

    EdisonMales Member Licensed User

    Thanks everyone for your help.we will continue anxiously waiting. For the moment I will continue with targetSdkVersion = 26.
     
  17. DonManfred

    DonManfred Expert Licensed User

  18. Erel

    Erel Administrator Staff Member Licensed User

    EdisonMales and jimmyF like this.
  19. EdisonMales

    EdisonMales Member Licensed User

    thank you very very much
     
Loading...
  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice